<template>
  <div>
    <currentList isComponet></currentList>
  </div>
</template>

<script>
import currentList from './current-list';
export default {
  name: 'scan-current-list',
  components: {
    currentList
  },
  mounted() {
    const bread = [
      { name: '扫码营销', path: '' },
      { name: '营销计划', path: '/scan/list' }
    ];
    console.log(this.$route.query.isHistory);
    if (this.$route.query.isHistory) {
      bread.push({ name: '历史营销计划', path: '/scan/history-list' });
    }
    this.$nextTick(_ => {
      this.$store.commit('mutations_breadcrumb', [...bread, { name: this.$route.query.name + ` - 扫码营销记录` }]); // eslint-disable-line
    });
  }
};
</script>
